---
title: Pinning items to your profile
intro: You can pin gists and repositories to your profile so other people can quickly see your best work.
redirect_from:
  - /articles/pinning-repositories-to-your-profile
  - /articles/pinning-items-to-your-profile
  - /github/setting-up-and-managing-your-github-profile/pinning-items-to-your-profile
  - /github/setting-up-and-managing-your-github-profile/customizing-your-profile/pinning-items-to-your-profile
versions:
  fpt: '*'
  ghes: '*'
  ghec: '*'
topics:
  - Profiles
shortTitle: Pin items
---
You can pin a public repository if you own the repository or you've made contributions to the repository. Commits to forks don't count as contributions, so you can't pin a fork that you don't own. For more information, see "[Why are my contributions not showing up on my profile?](/articles/why-are-my-contributions-not-showing-up-on-my-profile)"

You can pin any public gist you own.

Pinned items include important information about the item, like the number of stars a repository has received or the first few lines of a gist. Once you pin items to your profile, the "Pinned" section replaces the "Popular repositories" section on your profile.

You can reorder the items in the "Pinned" section. In the upper-right corner of a pin, click {% octicon "grabber" aria-label="The grabber symbol" %}  and drag the pin to a new location.

{% data reusables.profile.access_profile %}
2. In the "Popular repositories" or "Pinned" section, click **Customize your pins**.
	![Customize your pins button](/assets/images/help/profile/customize-pinned-repositories.png)
3. To display a searchable list of items to pin, select "Repositories", "Gists", or both.
	![Checkboxes to select the types of items to display](/assets/images/help/profile/pinned-repo-picker.png)
4. Optionally, to make it easier to find a specific item, in the filter field, type the name of a user, organization, repository, or gist.
	![Filter items](/assets/images/help/profile/pinned-repo-search.png)
5. Select a combination of up to six repositories and/or gists to display.
	![Select items](/assets/images/help/profile/select-items-to-pin.png)
6. Click **Save pins**.
	![Save pins button](/assets/images/help/profile/save-pinned-repositories.png)

## Further reading

- "[About your profile](/articles/about-your-profile)"
